--- a/glquake.h
+++ b/glquake.h
@@ -34,6 +34,7 @@
 #else
 #include <GL/gl.h>
 #include <GL/glu.h>
+#include <GL/glext.h>
 #endif /* __APPLE__ ||MACOSX */
 
 /* use the correct dynamic function address binder */  
@@ -420,8 +421,10 @@
 void GL_Bind (int texnum);
 
 #ifndef _WIN32
+#ifndef APIENTRY
 #define APIENTRY /* */
 #endif
+#endif
 
 #if !defined (__APPLE__) && !defined (MACOSX)
 
@@ -1134,8 +1137,10 @@
 // <AWE> There are some diffs with the function parameters. wgl stuff not present with MacOS X. -DC- and SDL 
 #if defined (__APPLE__) || defined (MACOSX) || defined(SDL) || defined (__glx__)
 
+#ifndef GL_APPLE_vertex_array_range
 typedef void (APIENTRY * PFNGLFLUSHVERTEXARRAYRANGEAPPLEPROC) (GLsizei length, const GLvoid *pointer);
 typedef void (APIENTRY * PFNGLVERTEXARRAYRANGEAPPLEPROC) (GLsizei size, const GLvoid *pointer);
+#endif
 
 extern PFNGLFLUSHVERTEXARRAYRANGEAPPLEPROC qglFlushVertexArrayRangeAPPLE;
 extern PFNGLVERTEXARRAYRANGEAPPLEPROC qglVertexArrayRangeAPPLE;
